%{!?buildid: %{expand: %%define buildid 1}}

Name: xen
Version: 4.4.4
Release:    105.0.2.el6
Summary: Xen virtual machine monitor
Group: Development/Libraries
License: GPL
URL: http://www.xenproject.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Source0: xen-4.4.tar.gz

BuildRequires: transfig libidn-devel zlib-devel curl-devel
BuildRequires: python-devel ghostscript tetex-latex gettext
BuildRequires: ncurses-devel libaio-devel libxml2-devel
BuildRequires: flex bison pciutils-devel libuuid-devel SDL-devel openssl-devel
BuildRequires: yajl-devel
BuildRequires: libuuid-devel
BuildRequires: e2fsprogs-devel
BuildRequires: ocaml ocaml-findlib
# for the docs
BuildRequires: perl
# so that the makefile knows to install udev rules
BuildRequires: udev
BuildRequires: texi2html imake
# need this level for modprobe --dump-modversions
BuildRequires: module-init-tools >= 3.3-0.pre3.1.16
BuildRequires: dev86
BuildRequires: iasl
BuildRequires: libibverbs-devel librdmacm-devel
Requires: libibverbs librdmacm
Requires: bridge-utils
Requires: udev >= 059
Requires: util-linux >= 2.13-0.45
Requires: kpartx

%description
This package contains the Xen hypervisor and Xen tools, needed to
run virtual machines on x86 systems.

%package tools
Summary: Various tooling for the manipulation of Xen instances
Group: System Environment/Libraries
Requires(pre): /sbin/ldconfig
Requires(post): /sbin/ldconfig

%description tools
This package contains the user utilities required for the manipulation
of Xen guest instances, associated documentation and keymaps.

%package devel
Summary: Development libraries for Xen tools
Group: Development/Libraries
Requires: xen-tools = %{version}-%{release}
Requires(pre): /sbin/ldconfig
Requires(post): /sbin/ldconfig

%description devel
This package contains headers and static libraries to develop applications to
manage Xen virtual machines.

%prep
%setup -q -n xen-4.4

%build
%configure --enable-xend
unset CFLAGS
make %{?_smp_mflags} max_phys_cpus=512 xen
export CFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags} max_phys_cpus=512 tools

%install
unset CFLAGS
make %{?_smp_mflags} DESTDIR=$RPM_BUILD_ROOT install-xen

mkdir -p $RPM_BUILD_ROOT/usr/lib/debug
install -m0444 -p xen/include/xen/compile.h $RPM_BUILD_ROOT/usr/lib/debug/compile.h

export CFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags} DESTDIR=$RPM_BUILD_ROOT install-tools

unset CFLAGS
make %{?_smp_mflags} -C xen clean
make %{?_smp_mflags} debug=y max_phys_cpus=512 xen
install -m0644 -p xen/xen.gz $RPM_BUILD_ROOT/boot/%{name}-%{version}-debug.gz
install -m0644 -p xen/xen-syms $RPM_BUILD_ROOT/usr/lib/debug/%{name}-syms-%{version}-debug

# Create dirs in /var
mkdir -p %{buildroot}%{_localstatedir}/lib/xen/xend-db/domain
mkdir -p %{buildroot}%{_localstatedir}/lib/xen/xend-db/vnet
mkdir -p %{buildroot}%{_localstatedir}/lib/xen/xend-db/migrate
mkdir -p %{buildroot}%{_localstatedir}/lib/xen/dump
mkdir -p %{buildroot}%{_localstatedir}/lib/xen/images
mkdir -p %{buildroot}%{_localstatedir}/log/xen/console

# Create symlink for x86_64 for compatibility with 3.4
%if "%{_libdir}" != "/usr/lib"
ln -s /usr/lib/xen/bin/qemu-dm %{buildroot}/%{_libdir}/xen/bin/qemu-dm
%endif

%post tools
/sbin/chkconfig --add xencommons
/sbin/chkconfig --add xend
/sbin/chkconfig --add xendomains

%preun tools
if [ $1 = 0 ]; then
  /sbin/chkconfig --del xencommons
  /sbin/chkconfig --del xend
  /sbin/chkconfig --del xendomains
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/boot/*
%{_libdir}/efi

%files tools
%config(noreplace) %{_sysconfdir}/xen/xend-config.sxp
%config(noreplace) %{_sysconfdir}/sysconfig/*
%{_sysconfdir}/xen
%{_sysconfdir}/bash_completion.d/xl.sh
%{_sysconfdir}/rc.d/init.d/*
%{_sysconfdir}/udev/rules.d/*.rules
%{_sbindir}/*
%{_bindir}/*

%{_libdir}/*.so
%{_libdir}/*.so.*
%{_libdir}/fs
%{_libdir}/ocaml
%{_libdir}/python*/site-packages
%{_libdir}/xen/bin/*
/usr/lib/xen/boot/hvmloader
/usr/lib/xen/bin/*

%doc COPYING README
%{_datadir}/doc/xen/
%{_mandir}/man?/*
%{_datadir}/xen/create.dtd

# QEMU
%{_datadir}/xen/qemu
%{_datadir}/qemu-xen
%{_libexecdir}/qemu-bridge-helper
/usr/etc/qemu/target-x86_64.conf

# General Xen state
%dir %{_localstatedir}/xen/dump
%dir %{_localstatedir}/lib/xen
%dir %{_localstatedir}/lib/xen/dump
%dir %{_localstatedir}/lib/xen/images
%dir %{_localstatedir}/run/xen
# Xenstore persistent state
%dir %{_localstatedir}/lib/xenstored
%dir %{_localstatedir}/run/xenstored
# XenD runtime state
%dir %{_localstatedir}/lib/xen/xend-db/
%dir %{_localstatedir}/lib/xen/xend-db/domain
%dir %{_localstatedir}/lib/xen/xend-db/migrate
%dir %{_localstatedir}/lib/xen/xend-db/vnet
%dir %attr(0700,root,root) %{_localstatedir}/run/xend
%dir %attr(0700,root,root) %{_localstatedir}/run/xend/boot
# Xen logfiles
%dir %attr(0700,root,root) %{_localstatedir}/log/xen
# Guest/HV console logs
%dir %attr(0700,root,root) %{_localstatedir}/log/xen/console

%files devel
%defattr(-,root,root)
%{_includedir}/
%{_libdir}/*.a
%changelog
* Thu Nov 17 2016 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.4-105.0.2.el6
- BUILDINFO: commit=5e4dc2c5fbd14b065234c0b5e5b637e0e005fab7
- pygrub: Properly quote results, when returning them to the caller: (Ian Jackson)  [Orabug: 25094263]  {CVE-2016-9379} {CVE-2016-9380}
- x86emul: fix huge bit offset handling (Jan Beulich)  [Orabug: 25088366]  {CVE-2016-9383}
- x86/PV: writes of %fs and %gs base MSRs require canonical addresses (Jan Beulich)  [Orabug: 25087576]  {CVE-2016-9385}
- x86/HVM: don't load LDTR with VM86 mode attrs during task switch (Jan Beulich)  [Orabug: 25087539]  {CVE-2016-9382}
- x86/hvm: Fix the handling of non-present segments (Andrew Cooper)  [Orabug: 25087515]  {CVE-2016-9386}

* Wed Oct 26 2016 Chuck Anderson <chuck.anderson@oracle.com> - 4.4.4-105.0.1.el6
- BUILDINFO: commit=286bb9711e33d92767e8608bea4d3da6dbeeb710
- move TLB-flush filtering out into populate_physmap during vm creation (Dongli Zhang)  [Orabug: 24951888] 
- replace tlbflush check and operation with inline functions (Dongli Zhang)  [Orabug: 24951888] 
- x86/hvm: extend HVM cpuid leaf with vcpu id (Paul Durrant)  
- x86/hvm: add HVM-specific hypervisor CPUID leaf (Boris Ostrovsky)  
- xend: soft_reset support. (Konrad Rzeszutek Wilk)  
- (lib)xl: soft reset support (Vitaly Kuznetsov)  
- tools/libxl: Save and restore EMULATOR_XENSTORE_DATA content (Andrew Cooper)  
- libxl: introduce libxl__device_model_xs_path (Wei Liu)  
- libxl: add LIBXL_DEVICE_MODEL_SAVE_FILE (Vitaly Kuznetsov)  
- libxc: support XEN_DOMCTL_soft_reset operation (Vitaly Kuznetsov)  
- arch-specific hooks for domain_soft_reset() (Vitaly Kuznetsov)  
- flask: DOMCTL_soft_reset support (Vitaly Kuznetsov)  
- introduce XEN_DOMCTL_soft_reset (Vitaly Kuznetsov)  
- evtchn: make evtchn_reset() ready for soft reset (Vitaly Kuznetsov)  
- evtchn: make EVTCHNOP_reset suitable for kexec (Vitaly Kuznetsov)  
- xl: introduce enum domain_restart_type (Vitaly Kuznetsov)  
- libxl: support SHUTDOWN_soft_reset shutdown reason (Vitaly Kuznetsov)  
- introduce SHUTDOWN_soft_reset shutdown reason (Vitaly Kuznetsov)  
- x86emul: honor guest CR0.TS and CR0.EM (Jan Beulich)  [Orabug: 24697001]  {CVE-2016-7777}

* Thu Sep 01 2016 Boris Ostrovsky <boris.ostrovsky@oracle.com> - 4.4.4-105.el6
- BUILDINFO: commit=617712bfc04e04aba1606f61e1ef6bac7b557464
- evtchn-fifo: prevent use after free (Boris Ostrovsky)  [Orabug: 24581056]

* Tue Aug 30 2016 Elena Ufimtseva <elena.ufimtseva@oracle.com> - 4.4.4-104.el6
- BUILDINFO: commit=cce4d21467237fd4f1ba47cd4ac1aa51277c440e
- x86/segment: Bounds check accesses to emulation ctxt->seg_reg[] (Andrew Cooper)  [Orabug: 24561443] 
- x86/shadow: Avoid overflowing sh_ctxt->seg_reg[] (Andrew Cooper)  [Orabug: 24561443] 
- x86/32on64: don't allow recursive page tables from L3 (Jan Beulich)  [Orabug: 24561413]

* Mon Aug 29 2016 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.4-103.el6
- BUILDINFO: commit=3bbc1e4f4cd8ad473365f4d4abca4f542020bad5
- x86/hvm: don't intercept #UD exceptions in general (Konrad Rzeszutek Wilk)  [Orabug: 24385487]

* Fri Aug 19 2016 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.4-102.el6
- BUILDINFO: commit=3e694971b628b4178dbdc907f0090ba0dc99fc6d
- tools/hotplug/Linux/block: handle the missing $XENBUS_PATH/params case (Zhigang Wang)  [Orabug: 24482311]

* Wed Aug 17 2016 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.4-101.el6
- BUILDINFO: commit=e63aa9e8d75ca5700bf3433264b1306f23f84ccb
- libxl, hotplug/Linux: default to phy backend for raw format file, take 2 (Wei Liu)  [Orabug: 24476310]

* Tue Aug 16 2016 Joao Martins <joao.m.martins@oracle.com> - 4.4.4-100.el6
- BUILDINFO: commit=e6b6846226827439d26ebe65712e750744bfb1b8
- libxc/x86: set PAGE1GB back for intel policy (Joao Martins)  [Orabug: 24446405]

* Mon Aug 01 2016 Boris Ostrovsky <boris.ostrovsky@oracle.com> - 4.4.4-99.el6
- BUILDINFO: commit=f137fcbd11547c112bc12ca5bad9824b271f697e
- xen/PCI: Allow MMCONFIG above 4GB for SGI UX 300RL (Boris Ostrovsky)  [Orabug: 24288531]

* Sun Jul 31 2016 Joe Jin <joe.jin@oracle.com> - 4.4.4-98.el6
- BUILDINFO: commit=6e8721d563734d913e90054dcefa900ea370ee3d
- xend/netif: Add handle to xenstore to avoid inconsistent vif state (Joe Jin)  [Orabug: 22954873] 
- xend/bootloader: Fix unclosed quotation string lead duplicate xend process (Joe Jin)  [Orabug: 24371183]

* Wed Jul 27 2016 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.4-97.el6
- BUILDINFO: commit=458d1c9daca0626a845fa3f5f3b284f9a111cb19
- livepatch: template and irq_stats. (Konrad Rzeszutek Wilk)

* Tue Jul 26 2016 Elena Ufimtseva <elena.ufimtseva@oracle.com> - 4.4.4-96.el6
- BUILDINFO: commit=9bb0ea920c40ee32ec47980578cab87b72f1b460
- xend/xm: hide pci device and xm pci-unhide command (Elena Ufimtseva)  [Orabug: 23749204] 
- xen: add support for hiding and unhiding pcie passthrough devices (Elena Ufimtseva)  [Orabug: 23749204]

* Mon Jul 25 2016 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.4-95.el6
- BUILDINFO: commit=b3df47a903ca08308ad42034d82545e102d50319
- Config.mk: Rev up to 'stable-4.4' in qemu-xen (Konrad Rzeszutek Wilk)   {CVE-2016-3712} {CVE-2014-3672}
- Fix in network configuration scripts to allow addition/removal of disconnected links to/from a bridge. (Sergei Garbuzov)  [Orabug: 23072548]

* Fri Jul 22 2016 Chuck Anderson <chuck.anderson@oracle.com> - 4.4.4-94.el6
- BUILDINFO: commit=48707e53f2a790e8154e854061079ee0677983b0
- Remove unsafe bits from the mod_l?_entry() fastpath (Andrew Cooper)   {CVE-2016-6258}

* Thu Jul 21 2016 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.4-93.el6
- BUILDINFO: commit=9e86d3fb58d555ebd0f1a0025c8dba07450759f1
- build: disable downloading ipxe tarball from xen.org (Zhigang Wang)

* Thu Jul 21 2016 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.4-92.el6
- BUILDINFO: commit=252a0338d28c144778b51432adfef1546e1703ba
- mm: Don't try to scrub memory if another CPU from the same node is already scrubbing (Boris Ostrovsky)

* Wed Jul 20 2016 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.4-91.el6
- BUILDINFO: commit=ba994e0aaa5c7de49dd7af52b2d1ec675e968ce5
- symbols: Generate an xen-sym.map file similar to Linux's (Konrad Rzeszutek Wilk)

* Mon Jul 18 2016 Joao Martins <joao.m.martins@oracle.com> - 4.4.4-90.el6
- BUILDINFO: commit=2094fc64091690c97d17065021041c34d6bd1497
- xm: introduce smt option (Joao Martins)  [Orabug: 21784986] 
- xend: add "smt" global option for default (Joao Martins)  [Orabug: 21784986] 
- libxl, xl: add "smt" global option for default (Joao Martins)  [Orabug: 21784986] 
- xl: introduce smt option (Joao Martins)  [Orabug: 21784986] 
- libxl: introduce smt field (Joao Martins)  [Orabug: 21784986] 
- libxl: cpuid: add guest topology support (Joao Martins)  [Orabug: 21784986] 
- libxl: cpuid: add intel extended topology (Joao Martins)  [Orabug: 21784986] 
- libxl: cpuid: add intel cache core count support (Joao Martins)  [Orabug: 21784986] 
- libxl: remove whitespace on libxl_types.idl (Joao Martins)  
- libxc: avoid clear leaf 0xB on xc_cpuid_set (Joao Martins)  [Orabug: 21784986] 
- tools/libxc: Improve efficiency of xc_cpuid_apply_policy() (Andrew Cooper)  [Orabug: 21784986] 
- xc_cpuid_x86.c: Simplify masking conditions and remove redundant work (Zhuo Song)  [Orabug: 21784986]

* Wed Jul 13 2016 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.4-89.el6
- BUILDINFO: commit=605b78ce48349cbf99f7758bd14689d7ab6ac8ef
- x86/boot: create *.lnk files with linker script (Daniel Kiper)

* Wed Jul 13 2016 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.4-88.el6
- BUILDINFO: commit=b5bb10cfec3354f29008c30fe680e1f0aeaa0244
- xen.spec: Build with support for 512 CPUs. (Konrad Rzeszutek Wilk)  [Orabug: 23550196]

* Wed Jul 06 2016 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.4-87.el6
- BUILDINFO: commit=a99f96b3c7e5eb823712a17b800cd3c2d621b589
- xend: Provide loglevel_max_bytes config parameter (Konrad Rzeszutek Wilk)  
- hvmloader, pci: Don't try to relocate memory if 64-bit BAR is bigger than 4GB (Konrad Rzeszutek Wilk)  [Orabug: 23702847] 
- hvmloader: don't use AML operations on 64-bit fields (Jan Beulich)  [Orabug: 23702847] 
- hvmloader: fix build with certain iasl versions (Jan Beulich)  [Orabug: 23702847] 
- hvmloader: PA range 0xfc000000-0xffffffff should be UC (Jan Beulich)  [Orabug: 23702847] 
- hvmloader: also cover PCI MMIO ranges above 4G with UC MTRR ranges (Jan Beulich)  [Orabug: 23702847] 
- Config.mk: Fix qemu-traditional working with 64-bit PCI-devices. (Konrad Rzeszutek Wilk)

* Wed Jun 29 2016 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.4-86.el6
- BUILDINFO: commit=0fd5ef3908e55a9cff8a689b42f999230af54315
- Merge remote-tracking branch 'origin/stable-4.4' into ovm-3.4.2 (Konrad Rzeszutek Wilk)

* Tue Jun 28 2016 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.4-85.el6
- BUILDINFO: commit=76114b1c3f5abc6a3b35c0dd5ed68feae172855e
- domctl: max_mfn_bars parameter to disable or tweak preemption. (Konrad Rzeszutek Wilk)  
- domctl: lower loglevel of XEN_DOMCTL_memory_mapping (Tiejun Chen)

* Fri Jun 24 2016 Boris Ostrovsky <boris.ostrovsky@oracle.com> - 4.4.4-84.el6
- BUILDINFO: commit=f5b9021352e8e94a9f0026676496688f40ed8faa
- x86/VPMU: support only versions 2 through 4 of architectural performance monitoring (Boris Ostrovsky)  
- Makefile: Copy compile.h.replace instead of generating one (Konrad Rzeszutek Wilk)

* Wed Jun 22 2016 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.4-83.el6
- BUILDINFO: commit=858ff6d5c7a175fd54f8140ae2a0ec7eb06d6bda
- xen.spec: Include compile.h in xen-debuginfo (Konrad Rzeszutek Wilk)  
- xend: Support 64-bit BARs. (Bhavesh Davda)  [Orabug: 23620232]

* Tue Jun 21 2016 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.4-82.el6
- BUILDINFO: commit=c23418e66faf2c89f9ac4a360622a589c0f7b1cc
- x86/xsave: enable support for new ISA extensions (Jan Beulich)  [Orabug: 23550196]

* Thu Jun 16 2016 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.4-81.el6
- BUILDINFO: branch=ovm-3.4.2, cmt=54cb863522140da4271316ebd40a4a8b0a0316a0
- docs/livepatch: Update URL to livepatch-build-tools.git (Konrad Rzeszutek Wilk)  
- libxenvchan: Change license of header from Lesser GPL v2.1 to BSD (Konrad Rzeszutek Wilk)  
- xen: Rename of xSplice to livepatch. (Konrad Rzeszutek Wilk)  
- pygrub: handle rbd file paths (Joao Martins)  [Orabug: 23271810]

* Wed May 18 2016 Malcolm Crossley <malcolm.crossley@citrix.com> - 4.4.4-80.el6
- p2m: convert p2m rwlock to percpu rwlock (Malcolm Crossley)  
- grant_table: convert grant table rwlock to percpu rwlock (Malcolm Crossley)  
- rwlock: add per-cpu reader-writer lock infrastructure (Malcolm Crossley)  
- grant_table: implement grant_table_warn_active_grants() (Vitaly Kuznetsov)  
- gnttab: clean up gnttab_set_version() (Jan Beulich)  
- gnttab: don't silently truncate frame numbers in gnttab_set_version() (Jan Beulich)  
- gnttab: fix out of range shift count (Jan Beulich)  
- gnttab: don't flush the TLB on grant ops for auto-translated guests (Roger Pau Monné)  
- complete conversion set_bit() -> __cpumask_set_cpu() by 4aaca0e9cd (Jan Beulich)  
- introduce and use relaxed cpumask bitops (Jan Beulich)  
- x86/HVM: batch vCPU wakeups (Jan Beulich)  
- x86: suppress event check IPI to MWAITing CPUs (Jan Beulich)  
- gnttab: steal maptrack entries from other VCPUs (David Vrabel)  
- gnttab: use per-VCPU maptrack free lists (Malcolm Crossley)  
- gnttab: make struct grant_mapping private (Jan Beulich)  
- gnttab: fix/adjust gnttab_transfer() (Jan Beulich)  
- gnttab: simplify page copying/clearing (Jan Beulich)  
- gnttab: simplify shared entry v1 vs v2 handling (Jan Beulich)  
- gnttab: limit mapcount() looping (Jan Beulich)  
- gnttab: eliminate several explicit version checks (Jan Beulich)  
- gnttab: make the grant table lock a read-write lock (David Vrabel)  
- gnttab: introduce maptrack lock (David Vrabel)  
- gnttab: per-active entry locking (David Vrabel)  
- adjust assertion in alloc_heap_pages() (Jan Beulich)  
- allow domain heap allocations to specify more than one NUMA node (Jan Beulich)  
- gnttab: fix a printk() format specifier (Jan Beulich)  
- grant-table: defer releasing pages acquired in a grant copy (David Vrabel)  
- grant-table: refactor grant copy to reduce duplicate code (David Vrabel)  
- grant-table: use uint16_t consistently for grant copy offset and length (David Vrabel)  
- xen/grant-table: backport gnttab_need_iommu_mapping() (Joao Martins)  
- xen/common: grant-table: only call IOMMU if paging mode translate is disabled (Julien Grall)  
- introduce gnttab_max_frames and gnttab_max_maptrack_frames command line options (Stefano Stabellini)

* Mon May 16 2016 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.4-79.el6
- xen.spec: Also build the hypervisor as debug=y (Konrad Rzeszutek Wilk)  
- x86/hvm: add per-vcpu evtchn upcalls (Paul Durrant)  [Orabug: 22916310]

* Fri May 13 2016 David Vrabel <david.vrabel@citrix.com> - 4.4.4-78.el6
- x86/mtrr: include asm/atomic.h (David Vrabel)  
- x86: reintroduce read_unlock() optimization (David Vrabel)  
- x86,arm: remove asm/spinlock.h from all architectures (David Vrabel)  
- use ticket locks for spin locks (David Vrabel)  
- x86: provide arch_fetch_and_add() (David Vrabel)  
- x86: provide add_sized() (David Vrabel)

* Fri May 13 2016 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.4-77.el6
- xen.spec: Unset CFLAGS for hypervisor built. (Konrad Rzeszutek Wilk)

* Wed May 11 2016 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.4-76.el6
- tools/hotplug/Linux/block: sort losetup -a result with sort -g (Zhigang Wang)  [Orabug: 22875089] 
- tools/xenstat: handle network interface name in uppercase. (Zhigang Wang)  
- tools/hotplug: fix ocn bridge parsing (Zhigang Wang)  [Orabug: 22904955]

* Thu Feb 11 2016 Jan Beulich <jbeulich@suse.com> - 4.4.4-75.el6
- x86/VMX: sanitize rIP before re-entering guest (Jan Beulich)  [Orabug:
  22697334]

* Mon Jan 25 2016 Chuck Anderson <chuck.anderson@oracle.com> - 4.4.4-74.el6
- xl/xend: error out if pcnet emulated driver model is used. (Chuck Anderson)

* Sat Jan 23 2016 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.4-73.el6
- disable vif-switch (Zhigang Wang)

* Fri Jan 22 2016 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.4-72.el6
- Merge remote-tracking branch 'remotes/xen/staging-4.4' (Zhigang Wang)  
- update Xen version to 4.4.4 (Jan Beulich)  
- x86/vmx: Fix injection of #DB traps following XSA-156 (Andrew Cooper)  
- x86/VMX: prevent INVVPID failure due to non-canonical guest address (Jan Beulich)   {CVE-2016-1571}
- x86/mm: PV superpage handling lacks sanity checks (Jan Beulich)   {CVE-2016-1570}

* Thu Jan 07 2016 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.4-71.el6
- kexec/relocate: Check the kdump location first. (Konrad Rzeszutek Wilk)

* Thu Dec 24 2015 Tianyue Lan <tianyue.lan@oracle.com> - 4.4.4-70.el6
- Rebuilt

* Fri Dec 18 2015 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.4-69.el6
- libvchan: Read prod/cons only once. (Konrad Rzeszutek Wilk)   {CVE-2015-8550}
- blktap2: Use RING_COPY_REQUEST (Konrad Rzeszutek Wilk)   {CVE-2015-8550}
- xen: Add RING_COPY_REQUEST() (David Vrabel)   {CVE-2015-8550}

* Fri Dec 18 2015 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.4-68.el6
- kexec/relocate: Change kexec location if relocation is in the way. (Konrad
  Rzeszutek Wilk)

* Thu Dec 10 2015 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.4-67.el6
- xen/kexec: Find out whether an kexec type is loaded. (Konrad Rzeszutek Wilk)

* Fri Dec 04 2015 Adnan Misherfi <adnan.misherfi@oracle.com> - 4.4.4-66.el6
- Add support for cloudnet connections (Adnan Misherfi)

* Tue Nov 17 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.4-65.el6
- xend/image: Don't throw VMException when using backend domains for disks.
  (Zhigang Wang)

* Wed Nov 04 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.4-64.el6
- libxl: adjust PoD target by memory fudge, too (Ian Jackson)  
- x86: rate-limit logging in do_xen{oprof,pmu}_op() (Jan Beulich)   {CVE-2015-7971}
- xenoprof: free domain's vcpu array (Jan Beulich)   {CVE-2015-7969}
- x86/PoD: Eager sweep for zeroed pages (Andrew Cooper)   {CVE-2015-7970}
- free domain's vcpu array (Jan Beulich)   {CVE-2015-7969}
- xen: common: Use unbounded array for symbols_offset. (Ian Campbell)  
- x86: guard against undue super page PTE creation (Jan Beulich)   {CVE-2015-7835}
- arm: handle races between relinquish_memory and free_domheap_pages (Ian Campbell)   {CVE-2015-7814}
- arm: rate-limit logging from unimplemented PHYSDEVOP and HVMOP. (Ian Campbell)   {CVE-2015-7813}
- arm: Support hypercall_create_continuation for multicall (Julien Grall)   {CVE-2015-7812}
- docs: xl.cfg: permissive option is not PV only. (Ian Campbell)  
- tools: libxl: allow permissive qemu-upstream pci passthrough. (Ian Campbell)  
- tools/console: xenconsole tolerate tty errors (Ian Jackson)

* Mon Oct 26 2015 Andrew Cooper <andrew.cooper3@citrix.com> - 4.4.4-63.el6
- x86/kexec: fix kexec on systems which boot in x2apic mode (Andrew Cooper)
  [Orabug: 21550616]

* Thu Oct 15 2015 Jan Beulich <jbeulich@suse.com> - 4.4.4-62.el6
- x86/NUMA: make init_node_heap() respect Xen heap limit (Jan Beulich)  
- make fls() and ffs() consistent across architectures (Jan Beulich)

* Tue Sep 22 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.3-61.el6
- xen.spec: chkconfig services should associated with xen-tools RPM (Zhigang
  Wang)  [Orabug: 21884079]

* Fri Sep 11 2015 Adnan Misherfi <adnan.misherfi@oracle.com> - 4.4.3-60.el6
- hotplug/Linux: ignore unknown key errors while disabling netfilter on bridges
  (Adnan Misherfi)

* Thu Sep 10 2015 Boris Ostrovsky <boris.ostrovsky@oracle.com> - 4.4.3-59.el6
- mm/scrub: clear is_scrubbing flag outside ASSERT() (Boris Ostrovsky)  [Orabug:
  21819046]

* Thu Sep 03 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.3-58.el6
- python/xc: add missing Py_DECREF() to fix a memory leak (Zhigang Wang)

* Tue Sep 01 2015 Boris Ostrovsky <boris.ostrovsky@oracle.com> - 4.4.3-57.el6
- x86/HVM: use fixed TSC value when saving or restoring domain (Boris Ostrovsky)  
- x86/svm: enable TSC scaling (Boris Ostrovsky)

* Fri Aug 28 2015 Andrew Cooper <andrew.cooper3@citrix.com> - 4.4.3-56.el6
- x86/irq: limit the maximum number of domain PIRQs (Andrew Cooper)  [Orabug: 21578153] 
- have architectures specify the number of PIRQs a hardware domain gets (Jan Beulich)  [Orabug: 21578153] 
- libxl: explicitly allocate BUFIOREQ event channel (Joao Martins)  [Orabug: 21694010] 
- xend: fix xm list introducing memory_actual R/O field (Joao Martins)  [Orabug: 14553104] 
- Revert "xend: Fix xm list bug reporting incorrect memory size" (Joao Martins)  [Orabug: 21304222] 
- Revert "Xend: Fix 3M memory get increased when rebooting hvm guest" (Joao Martins)  
- efi: rename efi_platform to efi_enabled to sync with upstream (Zhigang Wang)  
- libxl: poll: Avoid fd deregistration race POLLNVAL crash (Ian Jackson)  
- libxl: poll: Use poller_get and poller_put for poller_app (Ian Jackson)  
- libxl: poll: Make libxl__poller_get have only one success return path (Ian Jackson)  
- tools: libxl: Handle failure to create qemu dm logfile (Ian Campbell)  
- libxl: In libxl_set_vcpuonline check for maximum number of VCPUs against the cpumap. (Konrad Rzeszutek Wilk)  
- docs: workaround markdown parser error in xen-command-line.markdown (Ian Campbell)  
- xl: Sane handling of extra config file arguments (Ian Jackson)  
- QEMU_TAG update (Ian Jackson)  
- dmar: device scope mem leak fix (Elena Ufimtseva)  
- make rangeset_report_ranges() report all ranges (Jan Beulich)  
- xen: earlycpio: Pull in latest linux earlycpio.[ch] (Ian Campbell)  
- x86/hvmloader: avoid data corruption with xenstore reads/writes (Andrew Cooper)  
- credit1: properly deal with pCPUs not in any cpupool (Dario Faggioli)  
- x86 / cpupool: clear the proper cpu_valid bit on pCPU teardown (Dario Faggioli)  
- x86/p2m-ept: don't unmap the EPT pagetable while it is still in use (Andrew Cooper)  
- nested EPT: fix the handling of nested EPT (Liang Li)  
- x86/traps: avoid using current too early on boot (Andrew Cooper)  
- x86: avoid tripping watchdog when constructing dom0 (Ross Lagerwall)  
- x86/EFI: adjust EFI_MEMORY_WP handling for spec version 2.5 (Jan Beulich)  
- kexec: add more pages to v1 environment (Jan Beulich)  
- passthrough/amd: avoid reading an uninitialized variable (Tim Deegan)  
- x86/traps: identify the vcpu in context when dumping registers (Andrew Cooper)  
- update Xen version to 4.4.3-rc1 (Jan Beulich)  
- tools/libxc: Fix build of 32bit toolstacks on CentOS 5.x following XSA-125 (Andrew Cooper)  
- Revert "tools/libxc: Fix build of 32bit toolstacks on CentOS 5.x following XSA-125" (Ian Jackson)  
- libxl: event handling: ao_inprogress does waits while reports outstanding (Ian Jackson)  
- libxl: event handling: Break out ao_work_outstanding (Ian Jackson)  
- tools/libxc: Fix build of 32bit toolstacks on CentOS 5.x following XSA-125 (Andrew Cooper)  
- tools/xenconsoled: Increase file descriptor limit (Andrew Cooper)  
- ocaml/xenctrl: Fix stub_xc_readconsolering() (Andrew Cooper)  
- ocaml/xenctrl: Make failwith_xc() thread safe (Andrew Cooper)  
- ocaml/xenctrl: Check return values from hypercalls (Andrew Cooper)  
- libxl: In domain death search, start search at first domid we want (Ian Jackson)  
- QEMU_TAG update (Ian Jackson)  
- xen/arm: Call context_saved() with interrupts enabled during context switch (denys drozdov)  
- cpupool: fix shutdown with cpupools with different schedulers (Dario Faggioli)  
- libelf: fix elf_parse_bsdsyms call (Roger Pau Monné)  
- VT-d: extend quirks to newer desktop chipsets (Jan Beulich)  
- EFI: support default attributes to map Runtime service areas with none given (Konrad Rzeszutek Wilk)  
- EFI/early: add /mapbs to map EfiBootServices{Code,Data} (Konrad Rzeszutek Wilk)  
- x86/EFI: fix EFI_MEMORY_WP handling (Jan Beulich)  
- efi: avoid calling boot services after ExitBootServices() (Ross Lagerwall)  
- x86/VPMU: add lost Intel processor (Alan Robinson)  
- x86/crash: don't use set_fixmap() in the crash path (Andrew Cooper)  
- x86/apic: Disable the LAPIC later in smp_send_stop() (Andrew Cooper)  
- efi: fix allocation problems if ExitBootServices() fails (Ross Lagerwall)  
- x86: don't crash when mapping a page using EFI runtime page tables (Ross Lagerwall)  
- x86/pvh: disable posted interrupts (Roger Pau Monné)  
- x86: don't unconditionally touch the hvm_domain union during domain construction (Andrew Cooper)  
- x86/EFI: keep EFI runtime services top level page tables up-to-date (Jan Beulich)  
- cpupools: avoid crashing if shutting down with free CPUs (Dario Faggioli)  
- cpupool: assigning a CPU to a pool can fail (Dario Faggioli)  
- x86/traps: loop in the correct direction in compat_iret() (Andrew Cooper)   {CVE-2015-4164}
- gnttab: add missing version check to GNTTABOP_swap_grant_ref handling (Jan Beulich)   {CVE-2015-4163}
- QEMU_TAG update (Ian Jackson)  
- QEMU_TAG update (Ian Jackson)  
- x86: don't clear high 32 bits of RAX on sub-word guest I/O port reads (Jan Beulich)  
- x86_emulate: fix EFLAGS setting of CMPXCHG emulation (Eugene Korenevsky)  
- x86/efi: reserve SMBIOS table region when EFI booting (Ross Lagerwall)  
- x86: don't change affinity with interrupt unmasked (Jan Beulich)

* Tue Jul 14 2015 Daniel Kiper <daniel.kiper@oracle.com> - 4.4.3-55.el6
- efi: fix allocation problems if ExitBootServices() fails (Daniel Kiper)
  [Orabug: 21438871]

* Fri May 29 2015 Daniel Kiper <daniel.kiper@oracle.com> - 4.4.3-54.el6
- xen.spec: add efi files to xen RPM (Daniel Kiper)  [Orabug: 21091614] 
- tools: link executables with libtinfo explicitly (Daniel Kiper)  [Orabug: 21091614]

* Fri May 15 2015 Cathy Avery <cathy.avery@oracle.com> - 4.4.3-53.el6
- Fixed data corruption after storage migration (Cathy Avery)

* Thu May 14 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.3-52.el6
- xen.spec: bump version to 4.4.3 (Zhigang Wang)  
- x86_emulate: split the {reg,mem} union in struct operand (Tim Deegan)  
- VT-d: improve fault info logging (Jan Beulich)  
- x86/MSI: fix error handling (Jan Beulich)  
- LZ4 : fix the data abort issue (JeHyeon Yeon)  
- hvmloader: don't treat ROM BAR like other BARs (Jan Beulich)  
- QEMU_UPSTREAM_REVISION = master again (Stefano Stabellini)  
- domctl/sysctl: don't leak hypervisor stack to toolstacks (Andrew Cooper)   {CVE-2015-3340}
- domctl: don't allow a toolstack domain to call domain_pause() on itself (Andrew Cooper)   {CVE-2015-2751}
- Limit XEN_DOMCTL_memory_mapping hypercall to only process up to 64 GFNs (or less) (Konrad Rzeszutek Wilk)   {CVE-2015-2752}
- QEMU_TAG update (Ian Jackson)  
- x86: don't apply reboot quirks if reboot set by user (Ross Lagerwall)  
- Revert "cpupools: update domU's node-affinity on the cpupool_unassign_cpu() path" (Jan Beulich)  
- x86/EFI: allow reboot= overrides when running under EFI (Konrad Rzeszutek Wilk)  
- EFI: fix getting EFI variable list on some systems (Ross Lagerwall)  
- VT-d: print_vtd_entries() should cope with superpages (Jan Beulich)  
- honor MEMF_no_refcount in alloc_heap_pages() (Jan Beulich)  
- update Xen version to 4.4.3-pre (Jan Beulich)

* Tue May 12 2015 Daniel Kiper <daniel.kiper@oracle.com> - 4.4.2-51.el6
- x86: make Xen early boot code relocatable (Daniel Kiper)  [Orabug: 17586566]

* Fri May 08 2015 Daniel Kiper <daniel.kiper@oracle.com> - 4.4.2-50.el6
- x86: add multiboot2 protocol support for EFI platforms (Daniel Kiper)  [Orabug: 17586566] 
- efi: create efi_exit_boot() (Daniel Kiper)  [Orabug: 17586566] 
- efi: create efi_set_gop_mode() (Daniel Kiper)  [Orabug: 17586566] 
- efi: create efi_variables() (Daniel Kiper)  [Orabug: 17586566] 
- efi: create efi_tables() (Daniel Kiper)  [Orabug: 17586566] 
- efi: create efi_edd() (Daniel Kiper)  [Orabug: 17586566] 
- efi: create efi_find_gop_mode() (Daniel Kiper)  [Orabug: 17586566] 
- efi: create efi_get_gop() (Daniel Kiper)  [Orabug: 17586566] 
- efi: create efi_console_info_init() (Daniel Kiper)  [Orabug: 17586566] 
- efi: create efi_console_set_mode() (Daniel Kiper)  [Orabug: 17586566] 
- efi: create efi_init() (Daniel Kiper)  [Orabug: 17586566] 
- x86/efi: create new early memory allocator (Daniel Kiper)  [Orabug: 17586566] 
- efi: build xen.gz with EFI code (Daniel Kiper)  [Orabug: 17586566] 
- efi: split efi_enabled to efi_platform and efi_loader (Daniel Kiper)  [Orabug: 17586566] 
- xen/x86: add multiboot2 protocol support (Daniel Kiper)  [Orabug: 17586566] 
- x86/boot: use %ecx instead of %eax (Daniel Kiper)  [Orabug: 17586566] 
- x86/boot/reloc: create generic alloc and copy functions (Daniel Kiper)  [Orabug: 17586566] 
- x86/boot/reloc: drop MBI_BOOTDEV from mbi flags (Daniel Kiper)  [Orabug: 17586566] 
- x86/boot: add memory to clobber list in reloc_mbi_struct() (Daniel Kiper)  [Orabug: 17586566] 
- x86/boot: use constant in head.S instead of hardcoded value (Daniel Kiper)  [Orabug: 17586566] 
- x86/boot: fix reloc.S build dependencies (Daniel Kiper)  [Orabug: 17586566] 
- x86: define cmdline_cook() loader_name argument as a const (Daniel Kiper)  [Orabug: 17586566] 
- clean target should remove xen.efi binary (Daniel Kiper)  [Orabug: 17586566] 
- x86/boot/reloc: remove redundant blank characters and reformat comments a bit (Daniel Kiper)  [Orabug: 17586566] 
- x86: use constant as multiboot protocol identifier (Daniel Kiper)  [Orabug: 17586566] 
- x86: define e820 entries counter as unsigned int (Daniel Kiper)  [Orabug: 17586566] 
- x86/EFI: Add newline to the end of graphics mode error message (Daniel Kiper)  [Orabug: 17586566] 
- console: increase initial conring size (Daniel Kiper)  [Orabug: 17586566]

* Fri May 01 2015 Cathy Avery <cathy.avery@oracle.com> - 4.4.2-49.el6
- Added support for OVS storage migration (Cathy Avery)

* Fri Apr 17 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.2-48.el6
- xend: disable vbd discard feature for file type backend (Zhigang Wang)
  [Orabug: 20888341]

* Thu Apr 09 2015 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.2-47.el6
- Limit XEN_DOMCTL_memory_mapping hypercall to only process up to 64 GFNs (or less) (Konrad Rzeszutek Wilk)  [Orabug: 19976760]  {CVE-2015-2752}
- xen.spec: align rpm version with xen version (Zhigang Wang)  [Orabug: 20781181]

* Thu Apr 09 2015 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.2-46.el6
- Limit XEN_DOMCTL_memory_mapping hypercall to only process up to 64 GFNs (or less) (Konrad Rzeszutek Wilk)  [Orabug: 19976760]  {CVE-2015-2752}
- xen.spec: align rpm version with xen version (Zhigang Wang)  [Orabug: 20781181]

* Wed Apr 08 2015 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.2-45.el6
- Limit XEN_DOMCTL_memory_mapping hypercall to only process up to 64 GFNs (or less) (Konrad Rzeszutek Wilk)  [Orabug: 19976760]  {CVE-2015-2752}
- xen.spec: align rpm version with xen version (Zhigang Wang)  [Orabug: 20781181]

* Wed Apr 08 2015 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.2-44.el6
- Limit XEN_DOMCTL_memory_mapping hypercall to only process up to 64 GFNs (or less) (Konrad Rzeszutek Wilk)  [Orabug: 19976760]  {CVE-2015-2752}
- xen.spec: align rpm version with xen version (Zhigang Wang)  [Orabug: 20781181]

* Tue Apr 07 2015 Zhigang Wang <w1z2g3@gmail.com> - 4.4.2-43.el6
- xen.spec: align rpm version with xen version (Zhigang Wang)  [Orabug:
  20781181]

* Tue Apr 07 2015 Zhigang Wang <w1z2g3@gmail.com> - 4.4.2-42.el6
- xen.spec: align rpm version with xen version (Zhigang Wang)  [Orabug:
  20781181]

* Tue Mar 24 2015 Zhigang Wang <w1z2g3@gmail.com> - 4.4.0-41.el6
- update Xen version to 4.4.2 (Jan Beulich)  
- xen: arm: correct arm64 version of gva_to_ma_par (Ian Campbell)  
- tools: libxl: Explicitly disable graphics backends on qemu cmdline (Ian Campbell)   {CVE-2015-2152}
- x86/tboot: invalidate FIX_TBOOT_MAP_ADDRESS mapping after use (Jan Beulich)  
- x86emul: fully ignore segment override for register-only operations (Jan Beulich)   {CVE-2015-2151}
- pre-fill structures for certain HYPERVISOR_xen_version sub-ops (Aaron Adams)   {CVE-2015-2045}
- x86/HVM: return all ones on wrong-sized reads of system device I/O ports (Jan Beulich)   {CVE-2015-2044}
- update Xen version to 4.4.2-rc2 (Jan Beulich)  
- pygrub: Fix regression from c/s d1b93ea, attempt 2 (Boris Ostrovsky)  
- pygrub: fix non-interactive parsing of grub1 config files (Simon Rowe)  
- tools/pygrub: Make pygrub understand default entry in string format (Boris Ostrovsky)  
- tools/pygrub: Fix extlinux when /boot is a separate partition from / (Andrew Cooper)  
- x86/nmi: fix shootdown of pcpus running in VMX non-root mode (Andrew Cooper)  
- x86/traps: export the exception_table[] function pointer table to C (Andrew Cooper)  
- x86/VPMU: disable when NMI watchdog is on (Boris Ostrovsky)  
- QEMU_TAG update (Ian Jackson)  
- bunzip2: off by one in get_next_block() (Dan Carpenter)  
- docs/commandline: correct information for 'x2apic_phys' parameter (Andrew Cooper)  
- x86: vcpu_destroy_pagetables() must not return -EINTR (Konrad Rzeszutek Wilk)  
- x86: correctly check for sub-leaf zero of leaf 7 in pv_cpuid() (Jan Beulich)  
- x86: don't expose XSAVES capability to PV guests (Jan Beulich)  
- xsm/evtchn: never pretend to have successfully created a Xen event channel (Andrew Cooper)  
- common/memory: fix an XSM error path (Jan Beulich)  
- x86emul: tighten CLFLUSH emulation (Jan Beulich)  
- x86/VPMU: Clear last_vcpu when destroying VPMU (Boris Ostrovsky)  
- VT-d: don't crash when PTE bits 52 and up are non-zero (Jan Beulich)  
- domctl: fix IRQ permission granting/revocation (Jan Beulich)  
- xen/arm: vgic: message in the emulation code should be rate-limited (Julien Grall)  
- update Xen version to 4.4.2-rc1 (Jan Beulich)  
- dt-uart: use ':' as separator between path and options (Ian Campbell)  
- libxl: Don't ignore error when we fail to give access to ioport/irq/iomem (Julien Grall)

* Mon Mar 23 2015 Zhigang Wang <w1z2g3@gmail.com> - 4.4.0-40.el6
- xend: fix python fork and log consume %100 cpu issue (Zhigang Wang)  [Orabug:
  20751982]

* Fri Mar 20 2015 Liang Li <liang.z.li@intel.com> - 4.4.0-39.el6
- libxc: Expose the 1GB pages cpuid flag to guest (Liang Li)  [Orabug: 17299364]

* Fri Mar 13 2015 Annie Li <annie.li@oracle.com> - 4.4.0-38.el6
- Xen: Fix pvhvm  migration issue from ovm3.2.8 to ovm3.4 (Annie Li)  [Orabug:
  19218595]

* Mon Mar 02 2015 Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> - 4.4.0-37.el6
- rc/xendomains: 'stop' - also take care of stuck guests. (Konrad Rzeszutek Wilk)  [Orabug: 20577442] 
- xend: Fix race between shutdown and cleanup. (Konrad Rzeszutek Wilk)  [Orabug: 20577442]

* Fri Feb 27 2015 Zhenzhong Duan <zhenzhong.duan@oracle.com> - 4.4.0-36.el6
- Use AUTO_PHP_SLOT as virtual devfn for rebooted pvhvm guest (Zhenzhong Duan)

* Fri Jan 30 2015 Annie Li <annie.li@oracle.com> - 4.4.0-35.el6
- Xend: Remove code change related with restore about 3M memory issue (Annie Li)
  [Orabug: 20439696]

* Wed Jan 28 2015 Annie Li <annie.li@oracle.com> - 4.4.0-34.el6
- Xend: Fix 3M memory get increased when rebooting hvm guest (Annie Li)

* Wed Jan 21 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-33.el6
- tools: libxl: do not leak diskpath during local disk attach (Ian Campbell)  
- tools: libxl: do not overrun input buffer in libxl__parse_mac (Ian Campbell)  
- libxc: check return values on mmap() and madvise() on xc_alloc_hypercall_buffer() (Luis R. Rodriguez)  
- x86/HVM: prevent use-after-free when destroying a domain (Mihai Donțu)   {CVE-2015-0361}
- xen/arm: dump guest stack even if not the current VCPU (Frediano Ziglio)  
- xen/arm: Handle platforms with edge-triggered virtual timer (Julien Grall)  
- call vgic_en/disable_irqs holding the rank_lock (Stefano Stabellini)  
- xen/arm: domain_vgic_init: Avoid double free on shared_irqs (Julien Grall)  
- x86/HVM: don't crash guest upon problems occurring in user mode (Jan Beulich)  
- x86/cpuidle: don't count C1 multiple times (Jan Beulich)  
- EFI: allow retry of ExitBootServices() call (Jan Beulich)  
- x86: (allow to) override LIST_POISON* (Jan Beulich)  
- adjust number of domains in cpupools when destroying domain (Juergen Gross)  
- switch to write-biased r/w locks (Keir Fraser)   {CVE-2014-9065}
- x86/HVM: confine internally handled MMIO to solitary regions (Jan Beulich)   {CVE-2014-8867}
- x86: limit checks in hypercall_xlat_continuation() to actual arguments (Jan Beulich)   {CVE-2014-8866}
- x86/mm: fix a reference counting error in MMU_MACHPHYS_UPDATE (Andrew Cooper)  
- x86emul: enforce privilege level restrictions when loading CS (Jan Beulich)   {CVE-2014-8595}
- x86: don't allow page table updates on non-PV page tables in do_mmu_update() (Jan Beulich)   {CVE-2014-8594}
- x86/PVH: replace bogus assertion with conditional (Jan Beulich)  
- process softirqs while dumping domains (Andrew Cooper)  
- x86/HVM: only kill guest when unknown VM exit occurred in guest kernel mode (Jan Beulich)  
- VMX: values written to MSR_IA32_SYSENTER_E[IS]P should be canonical (Jan Beulich)  
- x86/HVM: sanity check xsave area when migrating or restoring from older Xen versions (Don Koch)  
- EFI: allow to suppress the use of runtime services (Jan Beulich)  
- x86: tolerate running on EFI runtime services page tables in map_domain_page() (Jan Beulich)  
- hvm/load: correct length checks for zeroextended records (Andrew Cooper)  
- vmx: fix save/restore issue with apicv (Yang Zhang)  
- fix listing of vcpus when domains lacking any vcpus exist (Andrew Cooper)  
- x86/paging: make log-dirty operations preemptible (Jan Beulich)   {CVE-2014-5146}
- AMD/guest_iommu: properly disable guest iommu support (Andrew Cooper)  
- don't allow Dom0 access to IOMMUs' MMIO pages (Jan Beulich)  
- x86: restore reserving of IO-APIC pages in XENMEM_machine_memory_map output (Jan Beulich)  
- x86/MSI: fix MSI-X case of freeing IRQ (Jan Beulich)  
- x86/EFI: fix freeing of uninitialized pointer (Roy Franz)  
- VMX: don't unintentionally leave x2APIC MSR intercepts disabled (Jan Beulich)  
- x86, idle: add barriers to CLFLUSH workaround (H. Peter Anvin)  
- VT-d: suppress UR signaling for further desktop chipsets (Jan Beulich)   {CVE-2013-3495}
- x86/NMI: allow processing unknown NMIs when watchdog is enabled (Ross Lagerwall)  
- x86/ats: Disable Address Translation Services by default (Andrew Cooper)  
- x86/irq: process softirqs in irq keyhandlers (Andrew Cooper)  
- VMX: fix DebugCtl MSR clearing (Jan Beulich)  
- x86/HVM: properly bound x2APIC MSR range (Jan Beulich)   {CVE-2014-7188}
- x86emul: only emulate software interrupt injection for real mode (Jan Beulich)  
- x86/emulate: check cpl for all privileged instructions (Andrew Cooper)  
- x86/shadow: fix race condition sampling the dirty vram state (Andrew Cooper)

* Mon Jan 05 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-32.el6
- update qemu-xen-testing git tree revision (Zhigang Wang)

* Wed Dec 31 2014 Tianyue Lan <tianyue.lan@oracle.com> - 4.4.0-31.el6
- Rebuilt

* Thu Dec 11 2014 Jan Beulich <jbeulich@suse.com> - 4.4.0-30.el6
- x86/paging: make log-dirty operations preemptible (Jan Beulich)  [Orabug: 20141124]  {CVE-2014-5146}
- switch internal hypercall restart indication from -EAGAIN to -ERESTART (Jan Beulich)  [Orabug: 20141124]

* Thu Dec 04 2014 Boris Ostrovsky <boris.ostrovsky@oracle.com> - 4.4.0-29.el6
- libxl/sysctl/ionuma: Make 'xl info -n' print device topology (Boris Ostrovsky)  [Orabug: 19580678] 
- pci: Manage NUMA information for PCI devices (Boris Ostrovsky)  [Orabug: 19580678]

* Fri Oct 17 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-28 
- xend: disable sslv3 due to CVE-2014-3566
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 19831385]

* Wed Oct 08 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-27 
- tools/python: expose xc_getcpuinfo()
  This API can be used to get per physical CPU utilization.
  Testing:
    >>> import xen.lowlevel.xc
  >>> xc = xen.lowlevel.xc.xc()
  >>> xc.getcpuinfo()
  Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  TypeError: Required argument 'max_cpus' (pos 1) not found
  >>> xc.getcpuinfo(4)
  [{'idletime': 109322086128854}, {'idletime': 109336447648802},
  {'idletime': 109069270544960}, {'idletime': 109065612611363}]
  >>> xc.getcpuinfo(100)
  [{'idletime': 109639015806078}, {'idletime': 109654551195681},
  {'idletime': 109382107891193}, {'idletime': 109382057541119}]
  >>> xc.getcpuinfo(1)
  [{'idletime': 109682068418798}]
  >>> xc.getcpuinfo(2)
  [{'idletime': 109711311201330}, {'idletime': 109728458214729}]
  >>> xc.getcpuinfo(max_cpus=4)
  [{'idletime': 109747116214638}, {'idletime': 109764982453261},
  {'idletime': 109491373228931}, {'idletime': 109489858724432}]
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Acked-by: Ian Campbell <ian.campbell@citrix.com>
  Upsteam commit: a9958947e49644c917c2349a567b2005b08e7c1f

* Wed Sep 10 2014 Konrad Wilk <konrad.wilk@oracle.com> - 4.4.0-26 
- spread boot time page scrubbing across all available CPU's
  The page scrubbing is done in 128MB chunks in lockstep across all the
  non-SMT CPU's. This allows for the boot CPU to hold the heap_lock whilst each
  chunk is being scrubbed and then release the heap_lock when the CPU's are
  finished scrubing their individual chunk. This allows for the heap_lock to
  not be held continously and for pending softirqs are to be serviced
  periodically across the CPU's.
  The page scrub memory chunks are allocated to the CPU's in a NUMA aware
  fashion to reduce socket interconnect overhead and improve performance.
  Specifically in the first phase we scrub at the same time on all the
  NUMA nodes that have CPUs - we also weed out the SMT threads so that
  we only use cores (that gives a 50% boost). The second phase is for NUMA
  nodes that have no CPUs - for that we use the closest NUMA node's CPUs
  (non-SMT again) to do the job.
  This patch reduces the boot page scrub time on a 128GB 64 core AMD Opteron
  6386 machine from 49 seconds to 3 seconds.
  On a IvyBridge-EX 8 socket box with 1.5TB it cuts it down from 15 minutes
  to 63 seconds.
  Signed-off-by: Malcolm Crossley <malcolm.crossley@citrix.com>
  Signed-off-by: Konrad Rzeszutek Wilk <konrad.wilk@oracle.com>
  Reviewed-by: Tim Deegan <tim@xen.org>
  Reviewed-by: Andrew Cooper <andrew.cooper3@citrix.com>
  (cherry picked from commit 7430a86de0c9bd126b441570e459f6e06413cbf6) [bug 14829299]

* Wed Sep 10 2014 Konrad Wilk <konrad.wilk@oracle.com> - 4.4.0-25 
- Reduce domain destroy time by delay page scrubbing
  Bug 18415476 - XM DESTROY OF 1TB MEMORY GUEST TAKES LONG TIME
  Because of page scrubbing, it's very slow to destroy a domain with large
  memory.
  This patch introduced a "PGC_need_scrub" flag, pages with this flag means it
  need to be scrubbed before use.
  During domain destory, pages are marked as "PGC_need_scrub" and be added to free
  heap list, so that xl can return quickly. The real scrub is delayed to the
  allocation path if a page with "PGC_need_scrub" is allocated.
  Besides that, trigger all idle vcpus to do the scrub job in parallel before
  them enter sleep.
  In order to get rid of heavy lock contention, a percpu list is used:
  - Delist a batch of pages to a percpu list from "scrub" free page list.
  - Scrub pages on this percpu list.
  - Return those clean pages to normal "heap" free page list, merge with other
  chunks if needed.
  On a ~500GB guest, shutdown took slightly over one minute compared with over 6
  minutes if without this patch.
  Signed-off-by: Bob Liu <bob.liu@oracle.com>
  Acked-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> [bug 18415476]

* Tue Sep 09 2014 Konrad Wilk <konrad.wilk@oracle.com> - 4.4.0-24 
- iommu: set correct IOMMU entries when !iommu_hap_pt_share
  If the memory map is not shared between HAP and IOMMU we fail to set
  correct IOMMU mappings for memory types other than p2m_ram_rw.
  This patchs adds IOMMU support for the following memory types:
  p2m_grant_map_rw, p2m_map_foreign, p2m_ram_ro, p2m_grant_map_ro and
  p2m_ram_logdirty.
  Signed-off-by: Roger Pau Monn?195?169 <roger.pau@citrix.com>
  Reviewed-by: Jan Beulich <jbeulich@suse.com>
  Reviewed-by: Tim Deegan <tim@xen.org>
  Tested-by: David Zhuang <david.zhuang@oracle.com>
  (cherry picked from commit 203746bc36b41443d0eec78819f153fb59bc68d1)
  Signed-off-by: Konrad Rzeszutek Wilk <konrad.wilk@oracle.com>
  Conflicts:
  xen/arch/x86/mm/p2m-pt.c
  [Easily resolved - We don't have commit 561e1dc85e6176c3d5b0a665b8ed4ff9e33cef1f
  "x86/p2m: error code propagation" which changes 'ret' to 'rv'] [bug 18730424]

* Tue Sep 09 2014 Konrad Wilk <konrad.wilk@oracle.com> - 4.4.0-23 
- pvh dom0: introduce p2m_map_foreign
  In this patch, a new type p2m_map_foreign is introduced for pages
  that toolstack on an auto translated dom0 or a control domain maps
  from foreign domains that its creating or supporting during its
  run time.
  Signed-off-by: Mukesh Rathor <mukesh.rathor@oracle.com>
  Acked-by: Tim Deegan <tim@xen.org>
  (cherry picked from commit 243cebb3dfa1f94ec7c2b040e8fd15ae4d81cc5a)
  Signed-off-by: Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> [bug 18730424]

* Tue Sep 09 2014 Konrad Wilk <konrad.wilk@oracle.com> - 4.4.0-22 
- x86/EPT: simplification and cleanup
  - drop rsvd*_ prefixes from fields not really reserved anymore
  - replace odd uses of <expr> ? 1 : 0
  - drop pointless variables from ept_set_entry()
  - streamline IOMMU mirroring code in ept_set_entry()
  - don't open code is_epte_valid() (and properly use it when dumping)
  - streamline entry cloning in ept_split_super_page()
  - compact dumping code and output
  Signed-off-by: Jan Beulich <jbeulich@suse.com>
  Reviewed-by: Tim Deegan <tim@xen.org>
  (cherry picked from commit 3d8d2bd048773ababfa65cc8781b9ab3f5cf0eb0)
  Signed-off-by: Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> [bug 18730424]

* Tue Sep 09 2014 Konrad Wilk <konrad.wilk@oracle.com> - 4.4.0-21 
- tasklet: Introduce per-cpu tasklet for softirq (v5)
  This implements a lockless per-cpu tasklet mechanism.
  The existing tasklet mechanism has a single global
  spinlock that is taken every-time the global list
  is touched. And we use this lock quite a lot - when
  we call do_tasklet_work which is called via an softirq
  and from the idle loop. We take the lock on any
  operation on the tasklet_list.
  The problem we are facing is that there are quite a lot of
  tasklets scheduled. The most common one that is invoked is
  the one injecting the VIRQ_TIMER in the guest. Guests
  are not insane and don't set the one-shot or periodic
  clocks to be in sub 1ms intervals (causing said tasklet
  to be scheduled for such small intervalls).
  The problem appears when PCI passthrough devices are used
  over many sockets and we have an mix of heavy-interrupt
  guests and idle guests. The idle guests end up seeing
  1/10 of its RUNNING timeslice eaten by the hypervisor
  (and 40% steal time).
  The mechanism by which we inject PCI interrupts is by
  hvm_do_IRQ_dpci which schedules the hvm_dirq_assist
  tasklet every time an interrupt is received.
  The callchain is:
  _asm_vmexit_handler
  -> vmx_vmexit_handler
  ->vmx_do_extint
  -> do_IRQ
  -> __do_IRQ_guest
  -> hvm_do_IRQ_dpci
  tasklet_schedule(&dpci->dirq_tasklet);
  [takes lock to put the tasklet on]
  [later on the schedule_tail is invoked which is 'vmx_do_resume']
  vmx_do_resume
  -> vmx_asm_do_vmentry
  -> call vmx_intr_assist
  -> vmx_process_softirqs
  -> do_softirq
  [executes the tasklet function, takes the
  lock again]
  While on other CPUs they might be sitting in a idle loop
  and invoked to deliver an VIRQ_TIMER, which also ends
  up taking the lock twice: first to schedule the
  v->arch.hvm_vcpu.assert_evtchn_irq_tasklet (accounted to
  the guests' BLOCKED_state); then to execute it - which is
  accounted for in the guest's RUNTIME_state.
  The end result is that on a 8 socket machine with
  PCI passthrough, where four sockets are busy with interrupts,
  and the other sockets have idle guests - we end up with
  the idle guests having around 40% steal time and 1/10
  of its timeslice (3ms out of 30 ms) being tied up
  taking the lock. The latency of the PCI interrupts delieved
  to guest is also hindered.
  With this patch the problem disappears completly.
  That is removing the lock for the PCI passthrough use-case
  (the 'hvm_dirq_assist' case).
  As such this patch introduces the code to setup
  softirq per-cpu tasklets and only modifies the PCI
  passthrough cases instead of doing it wholesale. This
  is done because:
  - We want to easily bisect it if things break.
  - We modify the code one section at a time to
  make it easier to review this core code.
  Now on the code itself. The Linux code (softirq.c)
  has an per-cpu implementation of tasklets on which
  this was based on. However there are differences:
  - This patch executes one tasklet at a time - similar
  to how the existing implementation does it.
  - We use a double-linked list instead of a single linked
  list. We could use a single-linked list but folks are
  more familiar with 'list_*' type macros.
  - This patch does not have the cross-CPU feeders
  implemented. That code is in the patch
  titled: tasklet: Add cross CPU feeding of per-cpu
  tasklets. This is done to support:
  "tasklet_schedule_on_cpu"
  - We add an temporary 'TASKLET_SOFTIRQ_PERCPU' which
  is can co-exist with the TASKLET_SOFTIRQ. It will be
  replaced in 'tasklet: Remove the old-softirq
  implementation."
  Signed-off-by: Konrad Rzeszutek Wilk <konrad.wilk@oracle.com>
  Acked-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 18239385]

* Fri Sep 05 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-20
- Add libibverbs and librdmacm support [bug 19466188]

* Thu Sep 04 2014 Annie Li <annie.li@oracle.com> - 4.4.0-19 
- xen: Only allocating the xenstore event channel earlier
  This patch allocates xenstore event channel earlier to fix the migration
  issue from ovm3.2.8 to 3.3.1, and also reverts the change for console
  event channel to avoid it is set to none after allocation.
  Signed-off-by: Annie Li <annie.li@oracle.com>
  Acked-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 19218595]

* Thu Sep 04 2014 Adnan Misherfi <adnan.misherfi@oracle.com> - 4.4.0-18
- Increase xen max_phys_cpus to support hardware with 384 CPUs
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 19475535]

* Thu Sep 04 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-17 
- fix domain destroy after reboot
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Joe Jin <joe.jin@oracle.com>
  Signed-off-by: Iain MacDonnell <iain.macdonnell@oracle.com> [bug 19557379]

* Wed Sep 03 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-16 
- update to 4.4.1
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>

* Tue Sep 02 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-15 
- xend: don't start blktapctrl as it's disabled by default
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>

* Thu Aug 28 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-14 
- xend: remove deprecation
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>

* Wed Aug 27 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-13
- xend: fix xm list bug reporting incorrect memory size

  This change allows xend to double-check the xcinfo info (which
  hypercall it had already do) and use the up-to-date contents.

  'xl' already does this by using the xcinfo.
  
  Signed-off-by: Marcos Matsunaga <Marcos.Matsunaga@oracle.com>
  Signed-off-by: Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> [bug 14553104]
- disable restore domains

  Signed-off-by: Firas Azar <firas.azar@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 18048615] 
  [bug 18560587]

* Wed Aug 27 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-12
- xend ssl migration reject weak cipher

  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Cathy Avery <cathy.avery@oracle.com>
  Signed-off-by: Carson Hovey <carson.hovey@oracle.com> [bug 16721961]
  [bug 16721654
- check xend service status
  Signed-off-by: Firas Azar <firas.azar@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 17892410]
- reduce xend minimum vm restart time to 10 seconds

  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>

* Wed Aug 27 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-11
- Expose host uuid to guest via xenstore.

  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
- Revert change set 22315 because it breaks live migration:

  Do not wait for memory teardown when live migrate

  When trying to live migrate guest with great memory (e.g. 20 GB),
  there's delay caused by destroying source copy of domain. To speed up
  this process we can close socket before starting guest destroy, as
  source guest is not running anymore.

  Signed-off-by: Miroslav Rezanina <mrezanin@redhat.com>
  Signed-off-by: Ian Jackson <ian.jackson@eu.citrix.com> [bug 13808326]
  [bug 13874471]
- Put back the patch that prevents older guests that use kudzu from
  hanging on reboot. Fixed the patch to prevent excessive watcher writes
  which causes xend, xenstored to run at a 100% cpu usage. Now the watch
  is written only if the console in Initialising, InitWait, Initialised
  states which happen once at boot time.

  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 13523487]

* Wed Aug 27 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-10
- Fix xm create vcpu_avail exceeds XMLRPC int limits.

  If maxvcpus = vcpus = 40, (1<<40 -1) will exceed XMLRPC int limit.
  Changing it to str will work. Then in the xend side, it will be
  converted back to int.

  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14473041]
- Fix bootloader hang/crash xend on wrong bootargs.

  When dom0 under heavy pressure, the pipe read in xen bootloader may
  return -EAGAIN. This may result in no data read or partial data read.

  With this patch, bootloader will read again when that happens.

  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Steve Prochniak <steve.prochniak@oracle.com> [bug 14195864]
  [bug 14325570] [bug 14268749] [bug 14527250]
- Remove unnecessary balloon retries on vm creation.

  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14143327]

* Wed Aug 27 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-9
- Disable network-script.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
- Fix xm reboot wait exception.

  For VM reboot, the VM will first shutdown and then xend will recreate
  it. This bug is caused by: when we do server.xend.domains(), the VM is
  live; when we do server.xend.domain.getRestartCount(), the VM is dead,
  thus raise an exception.

  We can ignore this exception and just continue: this domain will be
  handled in the next loop (it will not in the live vm list).

  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Jingjie Jiang <jingjie.jiang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 14836200]
- xend: disable SCSI device discover during xend start.

  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14538564]

* Wed Aug 27 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-8
- Avoid ballooning when dom0-min-mem is set and enable-dom0-ballooning is
  enabled.

  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 12404026]
- Enable Xend SSL relocation server.

  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
- Disable ballooning of dom0. [bug 8604766] [bug 9485681]

* Wed Aug 27 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-7
- Add domain running lock callout hook.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 17936558] [bug 18328751]
- Avoid concurrent calls to destory() for the same domain.

  Signed-off-by: Joe Jin <joe.jin@oracle.com>
  Reviewed-by: Konrad Rzeszutek Wilk <konrad.wilk@oracle.com>
  Reviewed-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 16098765]
- Fix file descriptor leak in SSL migration.

  Signed-off-by: Steve Prochniak <steve.prochniak@oracle.com
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 16706361]

* Wed Aug 27 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-6
- dom0-mem backward compatibility
  If a maximum reservation for dom0 is not explictly given (i.e., no
  dom0_mem=max:MMM command line option), then set the maximum
  reservation to the initial number of pages.  This is what most people
  seem to expect when they specify dom0_mem=512M (i.e., exactly 512 MB
  and no more).

  This change means that with Linux 3.0.5 and later kernels,
  dom0_mem=512M has the same result as older, 'classic Xen' kernels. The
  older kernels used the initial number of pages to set the maximum
  number of pages and did not query the hypervisor for the maximum
  reservation.

  It is still possible to have a larger reservation by explicitly
  specifying dom0_mem=max:MMM.

  Signed-off-by: David Vrabel <david.vrabel@citrix.com>
  Signed-off-by: Konrad Rzeszutek Wilk <konrad.wilk@oracle.com>

  NOTE: This behaviour should also be implemented in the Linux kernel. [bug 13860516] [bug 18552768]
- fix panic on HP DL580 Gen8
  Signed-off-by: Konrad Wilk <konrad.wilk@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 19189825]
- In bootloader(), domains_lock is first released to avoid a stunk
  bootloder from denying service to the other xend clients. It is
  re-acquired before returning to domain creation to cover the changes
  to be made. But if something goes wrong and domains_lock is not
  re-acquired, we may hit an error when releasing it one more time.

  This patch makes sure that the released domains_lock is re-acquired
  before returning.

  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14407719]

* Wed Aug 27 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-5
- restore C xenstored and put tdb to tmpfs
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
- fix a crash in guests 2.6.32 when PLE is enabled
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
- fix hvm migration 32 vcpus limit
  When we migrate an HVM guest, by default our shared_info can
  only hold up to 32 CPUs. As such the hypercall
  VCPUOP_register_vcpu_info was introduced which allowed us to
  setup per-page areas for VCPUs. This means we can boot PVHVM
  guest with more than 32 VCPUs. During migration the per-cpu
  structure is allocated fresh by the hypervisor (vcpu_info_mfn
  is set to INVALID_MFN) so that the newly migrated guest
  can do make the VCPUOP_register_vcpu_info hypercall.

  Unfortunatly we end up triggering this condition:
  /* Run this command on yourself or on other offline VCPUS. */
   if ( (v != current) && !test_bit(_VPF_down, &v->pause_flags) )

  which means we are unable to setup the per-cpu VCPU structures
  for running vCPUS. The Linux PV code paths make this work by
  iterating over every vCPU with:

   1) is target CPU up (VCPUOP_is_up hypercall?)
   2) if yes, then VCPUOP_down to pause it.
   3) VCPUOP_register_vcpu_info
   4) if it was down, then VCPUOP_up to bring it back up

  But since VCPUOP_down, VCPUOP_is_up, and VCPUOP_up are
  not allowed on HVM guests we can't do this. This patch
  enables this.

  Signed-off-by: Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> [bug 18552539]

* Wed Aug 27 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-4
- Add support for openvswitch
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 15886237]
  [bug 17885201]
- Disable netfilter on bridges.
  Also disable bridge multicast_snooping: Linux bridge can not forward packets to
  its ports and it is not needed.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 15871028]
  [bug 18007687] [bug 16746299]
- Add "allowhugepage" flag as a synonym for "allowsuperpage"
  for compatibility with previous releases.

  Signed-off-by: Dave McCracken <dave.mccracken@oracle.com>
  Acked-by: Konrad Rzeszutek Wilk <konrad.wilk@oracle.com>
  Acked-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 13821795]

* Wed Aug 27 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-3
- Disable iptables when adding a VIF to a Bridge.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14611657]
- Create a loop device node if it does not exist on VM start.
  After this patch, kernel max_loop could be 8.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>

* Wed Aug 27 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-2
- Set max cstate to 1.
  Signed-off-by: Joe Jin <joe.jin@oracle.com> [bug 13703504]
- xen: increase default max grant frames from 32 to 64.
  We advertise as being able to launch 32VIFs and 8 VBDs.
  But currently the amount of frames that a guest uses is
  based on this simple algebra:

  
  So if we have 31VIFs we cannot have any more VBDs nor any
  more VIFs. By increasing the value to 64 we have some extra
  headroom _and_ we can have at least 8VBDs (or more).

  Acked-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Konrad Rzeszutek Wilk <konrad.wilk@oracle.com> [bug 16039922]
- Add "OVM" to version information. This is visible through
  smbios/dmidecode information for HVM guests. [bug 11792774]

* Wed Aug 27 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 4.4.0-1
- rebuild for 4.4.0

